document.addEventListener("DOMContentLoaded", function () {
    // Подождем 5 секунд перед началом автоскролла
    setTimeout(function () {
        startAutoScroll();
    }, 5000);
});

function startAutoScroll() {
    var container = document.querySelector('.autoscroll_news');

    // Высчитываем высоту контейнера
    var containerHeight = container.scrollHeight;

    // Задаем скорость автоскролла
    var scrollSpeed = 20;

    // Задаем интервал между кадрами (меньше — плавнее, но требуется больше ресурсов)
    var scrollInterval = 16;

    // Вычисляем расстояние, которое нужно проскроллить за одну итерацию
    var scrollDistance = 1;

    // Запускаем интервал
    var scrollIntervalId = setInterval(function () {
        container.scrollTop += scrollDistance;

        // Если достигнут конец контейнера, перематываем в начало
        if (container.scrollTop + container.clientHeight >= containerHeight) {
            container.scrollTop = 0;
        }
    }, scrollInterval);

    // Добавляем обработчик события, чтобы при наведении мышью на контейнер, скролл приостанавливался
    container.addEventListener('mouseenter', function () {
        clearInterval(scrollIntervalId);
    });

    // Добавляем обработчик события, чтобы при уходе мыши скролл возобновлялся
    container.addEventListener('mouseleave', function () {
        scrollIntervalId = setInterval(function () {
            container.scrollTop += scrollDistance;
            if (container.scrollTop + container.clientHeight >= containerHeight) {
                container.scrollTop = 0;
            }
        }, scrollInterval);
    });
}


